Subject: [RRG] GSE History

From: RJ Atkinson <[email-masked]>
Date: Wed, 11 Jun 2008 15:45:15 -0400

Robin,

As near as I can tell, the historic trace looks
something like this...

0A) IEN-1 notes that the way the "TCP Identity" is
    constructed creates issues with resilient multi-homing,
    mobility, et cetera.  Authors further discuss decoupling
    "TCP Identity" from the network location as a possible
    approach to these issues.
    (Google for "ien001.pdf" to find a copy of this document.)
0B) IETF ROAD activities ~18 years ago re-cover much of the
    same ground as IEN-1.  ROAD outputs include CIDR,
    which is very successful at scaling IPv4 routing
    for many years.
1) Dave Clark sends email proposing to split the
    IPv6 address into 2 pieces and outlining the
    high-level concept of separating the identity
    (right-hand bits) from the location
    (left-hand bits) in middle 1990s.
2) Mike O'Dell comes up with (variously) 8+8 and GSE,
    which two proposals are very closely related.
3) IPng WG decides not to persue GSE ideas.
4) IAB holds Network-Layer Workshop in Utrecht, NL.
    (RFC-2956)
5) Based on workshop recommendation, the (closed)
    IRTF Name Space Research Group (NSRG) is created.
    The scope of that RG overlapped significantly
    with the current charter of this RG.
6) IRTF NSRG meets several times and has list
    discussions.  NSRG operating rules required
    unanimity to make a recommendation; while
    there was smooth consensus, there was not
    unanimity, so no formal recommendation is made.
7A) Bob M creates HIP as a research project,
    based in part on NSRG discussions.
    (HIP eventually becomes an IRTF RG and later
    on also has an IETF WG.)
7B)   Ran A starts working on what became ILNP as a
    research project, based in part on NSRG discussions.
7C) Other folks come up with other approaches within
    the (broadly defined at this point in my note)
    "8+8" concept.
8) IRTF Routing RG is re-chartered (to the current charter)
    leading down to today and this note.

So please forgive me, if, in moments, it sometimes feels
rather like we are living in the movie "Ground Hog Day".

With apologies in advance for the sundry details that
I omitted in the interest of length, and for any typos
I might have made above, and with good will towards all,

Yours,

Ran Atkinson
[email-masked]

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg